KTextEditor::ViewCursorDCOPInterface Class Reference

`#include <viewcursordcopinterface.h>`

Inheritance diagram for KTextEditor::ViewCursorDCOPInterface:

## Public Member Functions

| ViewCursorDCOPInterface (ViewCursorInterface *Parent, const char *name)
virtual | ~ViewCursorDCOPInterface ()
Public Member Functions inherited from DCOPObject
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)

## Detailed Description

This is the main interface to the ViewCursorInterface of KTextEdit.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to ViewCursorInterface.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 18 of file viewcursordcopinterface.h.

## Constructor & Destructor Documentation

ViewCursorDCOPInterface::ViewCursorDCOPInterface | ( | ViewCursorInterface * | Parent,
|  | const char * | name
| ) |  |

Construct a new interface object for the text editor.

Parameters

  Parent | the parent ViewCursorInterface object that will provide us with the functions for the interface.
  name | the QObject's name

Definition at line 9 of file viewcursordcopinterface.cpp.

ViewCursorDCOPInterface::~ViewCursorDCOPInterface | ( |  | ) |

virtual

Destructor Cleans up the object.

Definition at line 15 of file viewcursordcopinterface.cpp.

## Member Function Documentation

QPoint ViewCursorDCOPInterface::cursorCoordinates | ( |  | ) |

Get the current cursor coordinates in pixels.

Definition at line 25 of file viewcursordcopinterface.cpp.

void ViewCursorDCOPInterface::cursorPosition | ( | uint | line,
|  | uint | col
| ) |  |

Get the cursor position.

Definition at line 30 of file viewcursordcopinterface.cpp.

void ViewCursorDCOPInterface::cursorPositionReal | ( | uint | line,
|  | uint | col
| ) |  |

Get the cursor position, calculated with 1 character per tab.

Definition at line 35 of file viewcursordcopinterface.cpp.

bool ViewCursorDCOPInterface::setCursorPosition | ( | uint | line,
|  | uint | col
| ) |  |

Set the cursor position.

Definition at line 40 of file viewcursordcopinterface.cpp.

bool ViewCursorDCOPInterface::setCursorPositionReal | ( | uint | line,
|  | uint | col
| ) |  |

Set the cursor position, use 1 character per tab.

Definition at line 45 of file viewcursordcopinterface.cpp.

The documentation for this class was generated from the following files:

- viewcursordcopinterface.h
- viewcursordcopinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys